Skip to main content
POST
/
v1
/
table
/
{id}
/
update
Error
A valid request URL is required to generate request examples
{
  "updated_rows": 1,
  "version": 1,
  "transaction_id": "<string>",
  "properties": {}
}

Documentation Index

Fetch the complete documentation index at: https://docs.lancedb.com/llms.txt

Use this file to discover all available pages before exploring further.

Authorizations

Authorization
string
header
required

The access token received from the authorization server in the OAuth 2.0 flow.

Path Parameters

id
string
required

string identifier of an object in a namespace, following the Lance Namespace spec. When the value is equal to the delimiter, it represents the root namespace. For example, v1/namespace/$/list performs a ListNamespace on the root namespace.

Query Parameters

delimiter
string

An optional delimiter of the string identifier, following the Lance Namespace spec. When not specified, the $ delimiter must be used.

Body

application/json

Update request

Each update consists of a column name and an SQL expression that will be evaluated against the current row's value. Optionally, a predicate can be provided to filter which rows to update.

updates
string[][]
required

List of column updates as [column_name, expression] pairs

Required array length: 2 elements
identity
object

Identity information of a request.

context
object

Arbitrary context for a request as key-value pairs. How to use the context is custom to the specific implementation.

REST NAMESPACE ONLY Context entries are passed via HTTP headers using the naming convention x-lance-ctx-<key>: <value>. For example, a context entry {"trace_id": "abc123"} would be sent as the header x-lance-ctx-trace_id: abc123.

id
string[]
predicate
string | null

Optional SQL predicate to filter rows for update

properties
object

Properties stored on the table, if supported by the implementation.

Response

Update successful

updated_rows
integer<int64>
required

Number of rows updated

Required range: x >= 0
version
integer<int64>
required

The commit version associated with the operation

Required range: x >= 0
transaction_id
string

Optional transaction identifier

properties
object

If the implementation does not support table properties, it should return null for this field. Otherwise, it should return the properties.